<#ibizinclude>./ACTION_GROUP.vue.ftl</#ibizinclude>
<#ibizinclude>./ITEM_LAYOUTPANEL.vue.ftl</#ibizinclude>
<template>
    <div  class="app-mob-mdctrl <#if appde??>${appde.getCodeName()?lower_case}-${ctrl.name}</#if> <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
        <div class="app-mob-mdctrl-${ctrl.name}" ref="mdctrl">
            <#if ctrl.getPSSysPFPlugin?? && ctrl.getPSSysPFPlugin()??>
                <#if ctrl.getPSSysPFPlugin().getPFPluginType?? && ctrl.getPSSysPFPlugin().getPFPluginType()?? && ctrl.getPSSysPFPlugin().getPFPluginType()=='LIST_RENDER'>
                    ${ctrl.render.code}
                </#if>
                <#if ctrl.getPSSysPFPlugin().getPFPluginType?? && ctrl.getPSSysPFPlugin().getPFPluginType()?? && ctrl.getPSSysPFPlugin().getPFPluginType()=='LIST_ITEMRENDER'>
                <ion-list class="items" ref="ionlist" <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>@touchmove="gotouchmove" @touchstart="gotouchstart"  @touchend="gotouchend"</#if>>
                  <template v-if="(viewType == 'DEMOBMDVIEW9') && controlStyle != 'SWIPERVIEW' ">
                      <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
                      <app-mob-icon 
                            v-show="isChoose"
                            position="start"
                            :name=" item.checked ? 'checkmark-circle-outline' : 'ellipse-outline' " 
                            class="select-icon" 
                            @onClick="checkboxSelect(item)"
                        ></app-mob-icon>
                      </#if>
                      ${ctrl.render.code}
                      <app-mob-button 
                        v-if="!isTempMode && !allLoaded && needLoadMore" 
                        class="loadmore_btn" 
                        :text="$t('app.button.loadmore')"  
                        @click="loadBottom" />
                  </template>
                </ion-list>
                <ion-list class="items" ref="ionlist"  <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>@touchmove="gotouchmove" @touchstart="gotouchstart"  @touchend="gotouchend"</#if>>
                  <ion-item-sliding  :ref="item.srfkey" v-for="(item,index) in items" @click="item_click(item)" :key="item.srfkey" class="app-mob-mdctrl-item" :disabled="item.sliding_disabled" @ionDrag="ionDrag">
                    <#--  BENGIN：输出界面行为组  -->
                    <@outPutActionGroup ctrl />
                    <ion-item>
                    <#--多数据视图||多数据视图（部件视图）-->
                      <template v-if="(viewType == 'DEMOBMDVIEW') && controlStyle != 'SWIPERVIEW' ">
                      <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
                        <app-mob-icon 
                            v-show="isChoose"
                            position="start"
                            :name=" item.checked ? 'checkmark-circle-outline' : 'ellipse-outline' " 
                            class="select-icon" 
                            @onClick="checkboxSelect(item)"
                        ></app-mob-icon>
                      </#if>
                          ${ctrl.render.code}
                      </template>
                      <template v-else-if="(viewType == 'DEMOBMDVIEW9')">
                      <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
                        <app-mob-icon 
                            v-show="isChoose"
                            position="start"
                            :name=" item.checked ? 'checkmark-circle-outline' : 'ellipse-outline' " 
                            class="select-icon" 
                            @onClick="checkboxSelect(item)"
                        ></app-mob-icon>
                      </#if>
                          ${ctrl.render.code}
                      </template>
                    </ion-item>
                  </ion-item-sliding>
                </ion-list>
                </#if>
            <#else>
            <ion-list class="items" ref="ionlist">
                <template v-if="(viewType == 'DEMOBMDVIEW9') && controlStyle != 'SWIPERVIEW' ">
                    <ion-item-sliding ref="sliding" v-for="(item,index) in items" @click="item_click(item)" :key="item.srfkey" class="app-mob-mdctrl-item" :disabled="item.sliding_disabled" @ionDrag="ionDrag">
<#--  BENGIN：输出界面行为组  -->
<@outPutActionGroup ctrl />
<#--  END：输出界面行为组  -->
    <#if ctrl.getItemPSLayoutPanel()??>
<#--  BENGIN：输出项布局面板  -->
<@outPutItemLaoutPanel ctrl />
<#--  END：输出项布局面板  -->
    <#else>
                        <ion-item>
                      <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
                            <ion-checkbox slot="start" :checked="item.checked" v-show="isChoose" @click.stop="checkboxSelect(item)"></ion-checkbox>
                      </#if>
        <#--实体列表项集合-->
            <#if  ctrl.getPSDEListItems()??>
                            <!-- 列表视图样式 -->
                            <app-list-index-text <#if ctrl.getPSDEListItems()??>:dataItemNames = "[<#list ctrl.getPSDEListItems() as item><#if item.getDataItemName()??>'${item.getDataItemName()}',</#if></#list>]"</#if> :item="item" :index="index" major="<#if appde.getMajorPSAppDEField()??>${appde.getMajorPSAppDEField().getCodeName()?lower_case}<#else>srfmajortext</#if>" v-if="controlStyle.substring(0,8) === 'LISTVIEW'"></app-list-index-text>
                                <!-- 图标视图样式 -->
                            <app-icon-list :item="item" v-if="controlStyle === 'ICONVIEW'"></app-icon-list>
            <#else>
                             <div>暂无数据</div>
            </#if>
                        </ion-item>
    </#if>
                    </ion-item-sliding>
                </template>
            </ion-list>
            <ion-list class="items" ref="ionlist" <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>@touchmove="gotouchmove" @touchstart="gotouchstart"  @touchend="gotouchend"</#if>>
            <#--多数据视图||多数据视图（部件视图）-->
                <template v-if="(viewType == 'DEMOBMDVIEW') && controlStyle != 'SWIPERVIEW' ">
                    <#if  ctrl.isEnableGroup?? && ctrl.isEnableGroup()?? && ctrl.isEnableGroup()>
                      <div class="item-grouped" v-for="obj in group_data" :key="obj.index">
                      <van-collapse v-model="activeName" @change="changeCollapse">
                        <van-collapse-item v-if="obj.items && obj.items.length > 0" :name="obj.text">
                          <template #title>
                            <div>{{obj.text}}（<label v-if="obj.items && obj.items.length > 0">{{obj.items.length}}</label>）</div>
                          </template>
                      <ion-item-sliding  :ref="item.srfkey" v-for="(item,index) in obj.items" @click="item_click(item)" :key="item.srfkey" class="app-mob-mdctrl-item" :disabled="item.sliding_disabled" @ionDrag="ionDrag">
<#--  BENGIN：输出界面行为组  -->
<@outPutActionGroup ctrl />
<#--  END：输出界面行为组  -->
    <#if ctrl.getItemPSLayoutPanel()??>
<#--  BENGIN：输出项布局面板  -->
<@outPutItemLaoutPanel ctrl />
<#--  END：输出项布局面板  -->
    <#else>
                        <ion-item>
                      <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
                            <ion-checkbox slot="start" :checked="item.checked" v-show="isChoose" @click.stop="checkboxSelect(item)"></ion-checkbox>
                      </#if>
    <#--实体列表项集合-->
        <#if  ctrl.getPSDEListItems()??>
                            <!-- 列表视图样式 -->
                            <app-list-index-text <#if ctrl.getPSDEListItems()??>:dataItemNames = "[<#list ctrl.getPSDEListItems() as item><#if item.getDataItemName()??>'${item.getDataItemName()}',</#if></#list>]"</#if> :item="item" :index="index" major="<#if appde.getMajorPSAppDEField()??>${appde.getMajorPSAppDEField().getCodeName()?lower_case}<#else>srfmajortext</#if>" v-if="controlStyle.substring(0,8) === 'LISTVIEW'"></app-list-index-text>
                            <!-- 图标视图样式 -->
                            <app-icon-list :item="item" v-if="controlStyle === 'ICONVIEW'"></app-icon-list>
        <#else>
                            <div>暂无数据</div>
        </#if>
                        </ion-item>                      
    </#if>
                      </ion-item-sliding>
                        </van-collapse-item>
                      </van-collapse>
                      </div>

                    <#else>
                      <ion-item-sliding  :ref="item.srfkey" v-for="(item,index) in items" @click="item_click(item)" :key="item.srfkey" class="app-mob-mdctrl-item" :disabled="item.sliding_disabled" @ionDrag="ionDrag">
<#--  BENGIN：输出界面行为组  -->
<@outPutActionGroup ctrl />
<#--  END：输出界面行为组  -->
    <#if ctrl.getItemPSLayoutPanel()??>
<#--  BENGIN：输出项布局面板  -->
<@outPutItemLaoutPanel ctrl />
<#--  END：输出项布局面板  -->
    <#else>
                        <ion-item>
                        <#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
                            <ion-checkbox slot="start" :checked="item.checked" v-show="isChoose" @click.stop="checkboxSelect(item)"></ion-checkbox>
                        </#if>
    <#--实体列表项集合-->
        <#if  ctrl.getPSDEListItems()??>
                            <!-- 列表视图样式 -->
                            <app-list-index-text <#if ctrl.getPSDEListItems()??>:dataItemNames = "[<#list ctrl.getPSDEListItems() as item><#if item.getDataItemName()??>'${item.getDataItemName()}',</#if></#list>]"</#if> :item="item" :index="index" major="<#if appde.getMajorPSAppDEField()??>${appde.getMajorPSAppDEField().getCodeName()?lower_case}<#else>srfmajortext</#if>" v-if="controlStyle.substring(0,8) === 'LISTVIEW'"></app-list-index-text>
                            <!-- 图标视图样式 -->
                            <app-icon-list :item="item" v-if="controlStyle === 'ICONVIEW'"></app-icon-list>
        <#else>
                            <div>暂无数据</div>
        </#if>
                        </ion-item>                      
    </#if>
                      </ion-item-sliding>
                    </#if>
                </template>
                <template v-else-if="(viewType == 'DEMOBMDVIEW9')">
                </template>
                <template v-else-if="(viewType == 'DEMOBMDVIEW' || viewType == 'DEMOBMDVIEW9') && controlStyle === 'SWIPERVIEW'">
                    <app-list-swipe :items="items"></app-list-swipe>
                </template>
 <#-- BENGIN： 工作流多数据视图 -->
<#ibizinclude>./WORKFLOW_MDVIEW.template.ftl</#ibizinclude>
<#--  END: 工作流多数据视图 -->
                    <#--多数据选择视图（部件视图）-->
            <#--多选-->
                <template v-else>
 <#-- BENGIN： 多选视图 -->
<#ibizinclude>./PICKER_MDVIEW.template.ftl</#ibizinclude>
<#--  END: 多选视图 -->
                </template>
            </ion-list>
        </#if>
             <div  v-if="items.length == 0" class="no-data">
                <#if !(ctrl.getPSSysPFPlugin?? && ctrl.getPSSysPFPlugin()?? && ctrl.getPSSysPFPlugin().getPFPluginType?? && ctrl.getPSSysPFPlugin().getPFPluginType()?? && ctrl.getPSSysPFPlugin().getPFPluginType()=='LIST_RENDER')>
                <div>暂无数据</div>
                </#if>
              <#if ctrl.getQuickPSDEToolbar?? && ctrl.getQuickPSDEToolbar()??>
                  <#assign quickToolbar = ctrl.getQuickPSDEToolbar()/>
                  <@ibizindent blank=12>
                  ${P.getCtrlCode(quickToolbar, 'CONTROL.html').code}
                  </@ibizindent>
              </#if>
            </div>
            <div v-show=" loadStatus && !allLoaded && isNeedLoaddingText" class="loadding" >
                    <span >{{$t('app.loadding')?$t('app.loadding'):"加载中"}}</span>
                    <ion-spinner name="dots"></ion-spinner>
            </div>                          
        </div>
    </div>
</template>