<#if view.hasPSControl('pickupviewpanel')>
<#assign view_enableQuickSearch>
  <ion-toolbar>
    <ion-searchbar style="height: 36px; padding-bottom: 0px;" :placeholder="$t('app.fastsearch')" debounce="500" @ionChange="quickValueChange($event)"></ion-searchbar>
    <#if view.hasPSControl('searchform')>
    <app-mob-button 
      class="filter-btn" 
      size="small" 
      slot="end"  
      text="过滤"
      :iconName="filter-outline"
      @click="openSearchform" />
    </#if>
  </ion-toolbar>
</#assign>
<#assign view_content>
${P.getCtrlCode('pickupviewpanel', 'CONTROL.html').code}
</#assign>
</#if>
<#assign view_footer>
<#if view.getViewType()=="DEMOBMPICKUPVIEW">
<div class="mpicker_buttons">
    <div class="${view.getViewType()?lower_case}_button">
     <#-- 树多选视图单独ui -->
      <#if view.getAllEmbeddedPSAppViews?? && view.getAllEmbeddedPSAppViews()??>
      <#assign isTreeView = false>
      <#list view.getAllEmbeddedPSAppViews() as tempView>
      <#if tempView.getViewType()=='DEMOBPICKUPTREEVIEW'>
      <#assign isTreeView = true>
      </#if>
      </#list>
      <#if isTreeView>
      <van-action-sheet :get-container="container" class="ibiz_sheet_tree" v-model="show"  @click-overlay="onOverlayClick" >
          <div class="header">
              <div>已选择：{{viewSelections.length}}</div>
          </div>
          <app-select-tree-list :items="viewSelections" @item_delete="item_delete"></app-select-tree-list>
      </van-action-sheet>
      </#if>
      </#if>
      <div class="selectedCount"  <#if isTreeView>@click="select_click"</#if>>已选择：{{viewSelections.length}}<app-mob-icon name="chevron-up-outline"></app-mob-icon></div>
      <app-mob-button 
          class="pick-btn" 
          :text="$t('app.button.confirm')"
          :disabled="viewSelections.length === 0" 
          @click="onClickOk"/>
    </div>
</div>
<#else>
<ion-toolbar style="text-align: center;">
    <div class="mobpickupview_button">
      <app-mob-button 
          class="pick-btn" 
          color="medium"
          :text="$t('app.button.cancel')"
          @click="onClickCancel"/>
      <app-mob-button 
          class="pick-btn" 
          :text="$t('app.button.confirm')"
          :disabled="viewSelections.length === 0" 
          @click="onClickOk" />
    </div>
</ion-toolbar>
</#if>
</#assign>
<#ibizinclude>
./VIEW_LAYOUT_BASE.ftl
</#ibizinclude>