<#assign mdctrl = view.getPSControl('mdctrl')>
<#assign isScroll = true>
<#if view.getViewType?? && view.getViewType() ?? && view.getViewType()=='DEMOBWFDYNAEXPMDVIEW'>
    <#assign view_header_botton>
<ion-toolbar>
    <ion-segment :scrollable="true" value="0">
        <ion-segment-button v-for="(item,index) in wfStepModel" :key="index" @click="tab_click(item)" :value="index">
            <ion-label>{{item.userTaskName}}</ion-label>
        </ion-segment-button>
    </ion-segment>
</ion-toolbar>
    </#assign>
<#elseif !mdctrl.isNoSort()>
    <#assign state = false />
    <#list mdctrl.getPSListItems() as item>
        <#if item.isEnableSort()>
        <#assign state = true/>
        <#break>
        </#if>
    </#list>
    <#if state>
    <#assign view_header_botton>
<div class="mdview-tools">
    <div class="${srffilepath2(view.getCodeName())}-toolbar default-sort">
        <div class="view-tool">
            <div class="view-tool-sorts">
            <#list mdctrl.getPSListItems() as item>
                <#if item.isEnableSort() && item.getItemType() == 'ACTIONITEM'>
                <div class="view-tool-sorts-item">
                    <span :class="{text:true,active:hasColor}" @click="onSort('<#if item.getName()??>${item.getName()}</#if>')"><#if item.getCaption()??>${item.getCaption()}</#if></span>
                    <span class="sort-icon" @click="onSort('<#if item.getName()??>${item.getName()}</#if>')">
                        <app-mob-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.asc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-up-outline" ></app-mob-icon>
                        <app-mob-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.desc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-down-outline" ></app-mob-icon>
                    </span>
                </div>
                </#if>
            </#list>
            </div>
        </div>
    </div>
    <div class="mdview-tools-select">
    <#list mdctrl.getPSListItems() as item>
        <#if item.isEnableSort() && item.getPSCodeList?? && item.getPSCodeList()??>
        <#assign codelist = item.getPSCodeList()>
        <#if codelist.getCodeListType() == 'STATIC' && codelist.getAllPSCodeItems()?? && item.getItemType() == 'TEXTITEM'>
        <app-van-select  name="<#if item.getName()??>n_${item.getName()?lower_case}_eq</#if>" title="<#if item.getCaption()??>${item.getCaption()}</#if>" :items="[<#list codelist.getAllPSCodeItems() as codeitem>{value:'<#if codeitem.getValue()??>${codeitem.getValue()}</#if>',label:'<#if codeitem.getName()??>${codeitem.getName()}</#if>'},</#list>]" @onConfirm="onCategory"></app-van-select>
        </#if>
        </#if>
    </#list>   
    </div>
</div>
    </#assign>
    </#if>
</#if>
<#assign view_content>
${P.getCtrlCode('mdctrl', 'CONTROL.html').code}
</#assign>
<#assign view_footer>
    <#if mdctrl.getBatchPSDEToolbar?? && mdctrl.getBatchPSDEToolbar()??>
        <#assign batchToolbar = mdctrl.getBatchPSDEToolbar()> 
        <div v-show="isChoose" class="batch_btn">
                    <div class="selectall" v-show="isChoose">
                        <app-mob-icon 
                            position="start"
                            :name=" isSelectAll? 'checkmark-circle-outline' : isSelectSome? 'remove-circle-outline' : 'ellipse-outline' " 
                            class="selectall-icon" 
                            @onClick="onSelectallClick(isSelectAll)"
                        ></app-mob-icon>
                        <ion-label class="selectal-label">全选</ion-label>
                    </div>
                    <div class="batch_btn_content">
                <@ibizindent blank=8>
                ${P.getCtrlCode(batchToolbar, 'CONTROL.html').code}
                </@ibizindent>
                <app-mob-button
                    class="app-view-toolbar-button"  
                    iconName="arrow-undo-outline"
                    :text="$t('app.button.cancel')"
                    @click="cancelSelect" />
            </div> 
        </div>     
    </#if>
</#assign>